Get all invoice details
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
invoice_details| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| invoice_id |
Key of invoice to which this line belongs |
globally unique identifier | |
| article_id |
Key of article on this line |
globally unique identifier | |
| article_name |
Name of article on this line |
string | |
| article_description |
Description of article on this line |
string | |
| article_code |
Code of article on this line |
string | |
| line_num |
Number of this line within the invoice |
integer | |
| quantity |
Quantity of article |
integer | |
| article_price |
Price of article |
decimal number | |
| discount |
Discount value (absolute) applied to this line |
decimal number | |
| vat_rate |
VAT ratio applied to this line |
decimal number | |
| vat_value |
Value (absolute) of VAT on this line |
decimal number | |
| total_line |
quantity_decimal*(article_price-discount+vat_value) |
decimal number | |
| article_stock_location_id |
In case of stock management enabled, the stock that has been used |
globally unique identifier | |
| quantity_decimal |
Quantity as decimal type |
decimal number | |
| source_db_table_name |
The name of db table |
string | |
| source_id_in_table |
Key of the object from which the invoice details is derived |
globally unique identifier | |
| serial_number |
Serial number |
string | |
| no_warranty_reason |
The reason for no warranty |
string | |
| is_under_warranty |
The item is under warranty |
boolean | |
| discount_percentage |
Discount percentage |
decimal number | |
| cost_price |
Cost price |
decimal number | |
| company_vat_id |
The id of company vat |
globally unique identifier | |
| company_vat_code |
The code of company vat |
string | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "68405ce0-cf22-4fc4-ad29-c94e5099245f",
"invoice_id": "9fdaa889-e08c-48a7-b64a-c532fe2bf7f4",
"article_id": "ea74f1d1-143b-4539-babe-6423f6dbee25",
"article_name": "sample string 4",
"article_description": "sample string 5",
"article_code": "sample string 6",
"line_num": 7,
"quantity": 8,
"article_price": 9.0,
"discount": 10.0,
"vat_rate": 11.0,
"vat_value": 12.0,
"total_line": 13.0,
"article_stock_location_id": "550264de-ffc9-49fa-a2fb-d7b497b82858",
"quantity_decimal": 15.0,
"source_db_table_name": "sample string 16",
"source_id_in_table": "7ff04f68-89a3-4aef-be15-3ca9a1c42975",
"serial_number": "sample string 18",
"no_warranty_reason": "sample string 19",
"is_under_warranty": true,
"discount_percentage": 21.0,
"cost_price": 22.0,
"company_vat_id": "208fa5ed-0abf-4e66-8510-e88a148685e1",
"company_vat_code": "sample string 24",
"modified_dateutc": "2026-02-24T16:12:22.7762608+00:00"
}